/***** PMP PROFILE & DIRECTORY Customizations *****/

/** INFO WINDOW **/
.pmpro_member_directory_marker_field-professional_title{

  display: none !important;
}

/* make the image smaller */
.pmpro_member_directory_marker_field-avatar img {
  border-radius: 0 !important;
  width: 80px !important;
  height: auto !important;
  object-fit: cover !important;
  border: 0 !important;
  box-shadow: none !important;

}

.gm-style-iw-d{
  overflow: hidden !important;
}

/* Hide the pointless BR */
.pmpro_member_directory_marker_field-avatar br {
  display: none;
}

/* Hide the 'View Profile' message */
.pmpromd_profile {
  display: none;
}

.pmpro_member_directory_marker_field-avatar {
  margin: 0px !important;
  padding: 0px !important;
  margin-left: auto !important;
  margin-right: auto !important;
  display: block !important;
}

/** DIRECTORY SEARCH FIELD **/
/* This has been removed */
/*.pmpro_member_directory_search {
  justify-content: left !important ;
  align-items: center !important ;
}*/

/** SEARCH FILTER WIDGET **/
.my_pmpro_directory_widget form{
  display: flex !important ;
  flex-wrap: wrap !important ;
  gap: 10px !important ;
  justify-content: left !important ;
  align-items: center !important ;

}

.my_pmpro_directory_widget input[type="text"], .my_pmpro_directory_widget select {
  margin:0 0 0 0 !important ;
}

/* Styling for the search filter */
.my_pmpro_directory_widget {
  margin-bottom: 20px;

  padding: 0 0 15px 0 !important;
}

.widget-title {
      font-size: 1.7vw !important;
    color: rgba(0,0,0,0.67) !important;
    text-align: left;

}

.my_pmpro_directory_widget input[type="text"], .my_pmpro_directory_widget select {
    background-color: var(--pmpro--color--base);
    border: 1px solid var(--pmpro--color--border);
    border-radius: var(--pmpro--base--border-radius);
    box-shadow: none;
    box-sizing: border-box;
    color: var(--pmpro--color--contrast);
    font-size: 16px;
    height: auto;
    line-height: 1.5;
    margin: 0 0 10px 0  !important;
    min-height: auto;
    outline: none;
    padding: var(--pmpro--base--spacing--small);
}

.pmpro_member_directory_before  p{
  font-size: 1vw !important ;
  margin-bottom: 20px;
}

.my_pmpro_directory_widget input[type="submit"]  {

      background-color: var(--pmpro--color--accent);
    border: 1px solid var(--pmpro--color--accent);
    border-radius: var(--pmpro--base--border-radius);
    box-shadow: 1px 2px 4px rgba(0, 0, 0, 0.1);
    box-sizing: border-box;
    color: var(--pmpro--color--base);
    cursor: pointer;
    display: inline-block;
    font-size: 16px;
    font-weight: 700;
    letter-spacing: normal;
    line-height: 1.5;
    min-height: 40px;
    outline: 0;
    padding: var(--pmpro--base--spacing--small) var(--pmpro--base--spacing--medium);
    margin: 10px 0;
    text-align: center;
    text-decoration: none;
    text-rendering: geometricprecision;
    text-transform: none;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: middle;
    transition: background-color 0.2s, color 0.2s;
}

.my_pmpro_directory_widget label {
  font-size: 20px;
  font-family: 'Montserrat',Helvetica,Arial,Lucida,sans-serif;
}

/* Hide country field on profile sign up */
#pmpromd_country_div {
  display: none !important;
}

/* Hide state field on profile sign up */
#pmpromd_state_div {
  display: none !important;
}

/* Classes for the county cloud */
.county-cloud {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  justify-content: center;
  padding: 20px 0;
}

.county-link {
  background: #f0f0f0;
  border-radius: 5px;
  padding: 10px 15px;
  font-size: 1rem;
}

/* Larger font for PMPro Memberships page */
.pmpro_font-large {
    font-size: 1.7vw !important;
    color: rgba(0,0,0,0.67) !important;
    text-align: left;
}

/* Hide Membership Maps fields except for level 5 */
fieldset#pmpro_membership_maps_fields {
  display: none;
}
#pmpro_level-5 fieldset#pmpro_membership_maps_fields {
  display: block;
}

/* Cards are not sitting equally in grid */
div.pmpro_member_profile_field.pmpro_member_profile_field-avatar > div > a > img {
  /* height:150px !important; */
}

.pmpro_member_directory  > .pmpro_card{
  /* width:100% !important; */
  margin: unset !important;
}